package cn.gygxzc.tina.cloud.bus.utils;

import com.google.gson.Gson;

/**
 * Created by niantuo on 2018/11/5.
 */

public class GsonUtils {
    private final static Gson mGson = new Gson();

    public static String toJson(Object obj) {
        return mGson.toJson(obj);
    }

    /**
     * 实际上如果是数组，这样子是解析不出来的吧。
     * @param clz 要返回的类型
     * @param json 原始json数据
     * @param <T> 泛型
     * @return
     */
    public static <T> T fromJson(Class<T> clz, String json) {
        return mGson.fromJson(json, clz);
    }
}
